<!-- 下に曲がる鎖 -->

<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">

<action label="top">


	<fireRef label="chain">
		<param>178</param>
	</fireRef>
	<fireRef label="chain">
		<param>-178</param>
	</fireRef>
	<fireRef label="chain">
		<param>179</param>
	</fireRef>
	<fireRef label="chain">
		<param>-179</param>
	</fireRef>
	
	<fireRef label="chain">
		<param>180</param>
	</fireRef>

	<vanish/>
</action>

<!-- 鎖 -->
<fire label="chain">
	<speed>8</speed>
	<direction type="absolute">$1</direction>
	<bulletRef label="fall">
		<param>$1</param>
		<param>$rand * (1 + $rank) - (0.5 + $rank * 0.5)</param>
	</bulletRef>
</fire>

<!-- 鎖を産む -->
<bullet label="fall">
	<action>
		<wait>1</wait>
		<fire>
			<direction type="absolute">$1</direction>
			<speed>0</speed>
			<bulletRef label="erase"/>
		</fire>
		<wait>2</wait>
		<repeat>
			<times>36</times>
			<action>
				<changeDirection>
					<direction type="sequence">$2</direction>
					<term>1</term>
				</changeDirection>
 				<fire>
					<direction type="sequence">$2</direction>
					<speed>0</speed>
					<bulletRef label="erase"/>
				</fire>
			</action>
			<wait>2</wait>
		</repeat>
 		<vanish/>
	</action>
</bullet>


<!-- しばらくして消える -->
<bullet label="erase">
	<action>
		<wait>100 + $rank * 50</wait>
		
		<changeSpeed>
			<speed>8</speed>
			<term>60</term>
		</changeSpeed>
	
		<wait>10</wait>
		
		<vanish/>

	</action>
</bullet>



</bulletml>
